Page MenuHomePhabricator

Deploy 2015 Lila thank you email + typo fix for br-pt
Closed, ResolvedPublic1 Estimated Story Points

Description

We have a new Lila letter nearly ready, we are just sorting out an issue with the "start editing" link. Should be settled in a couple of days. Messages: https://meta.wikimedia.org/wiki/Fundraising/Translation/Thank_you_email_20150904

Tech - note that the "opt out" paragraph is removed here because it's confusing to our donors. This is the tax receipt (plus lots of grateful-ness) and as such, you can't unsubscribe.

Hopefully we'll follow up with T103447 in the not too distant future to further alleviate this confusion.

Please set this up on staging and then send to online team (jrobell, pcoombe, and mhernandez) if possible. Once they confirm, we can push to prod.

Languages:

  1. ca
  2. zh
  3. da
  4. nl
  5. fr
  6. de
  7. he
  8. hu
  9. it
  10. ja
  11. lv
  12. nb
  13. pt-br
  14. pt
  15. ro
  16. ru
  17. sk
  18. es
  19. sv
  20. uk

Also - merging in T110311 because it's another TY deploy. Typically we can do these easily together. If this is wrong, feel free to revert.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
MeganHernandez_WMF raised the priority of this task from to Needs Triage.
MeganHernandez_WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2015, 7:05 PM

@atgo I left the description pretty bare since you wanted to check in and add some task details here.

Krenair added a subscriber: Krenair.

Looks Fundraising-related

atgo removed atgo as the assignee of this task.Aug 25 2015, 8:44 PM
atgo assigned this task to MeganHernandez_WMF.
atgo updated the task description. (Show Details)
atgo set Security to None.
atgo added a subscriber: MBeat33.
atgo added a subscriber: atgo.

Thanks for the project assignment, @Krenair

@MeganHernandez_WMF - I'm assigning this to you until the draft is fully completed. When it is, please remove yourself from the "assigned to" field (you can leave it blank).

atgo renamed this task from 2015 Lila thank you email to Deploy 2015 Lila thank you email .Aug 25 2015, 9:35 PM
atgo renamed this task from Deploy 2015 Lila thank you email to Deploy 2015 Lila thank you email + typo fix for br-pt.Aug 26 2015, 3:14 PM
atgo updated the task description. (Show Details)
atgo added a subscriber: jrobell.

Update, I think we've sorted out the "start editing" link. Thank you @awight! English is done & we're getting a batch of translations together so these can all go out at the same time instead of language by language. We should have the translations back this week and proofreading done next week. Is it possible to get this out around end of next week?

Can we get a test email to QA before the thank you email is live? Thank you!

Pcoombe added a subscriber: Pcoombe.Sep 7 2015, 8:43 PM
atgo removed MeganHernandez_WMF as the assignee of this task.Sep 8 2015, 10:28 PM

This will go into the next sprint at this point, starting a week from tomorrow. Sound ok?

Thanks @atgo can we get test emails before they're out live?

Thank you @atgo.

One small correction from @Pcoombe's comment. I have now uploaded all translations on Meta, but there are still few languages that are being triple checked. I expect to have all versions published and ready to be deployed by Friday morning PST.

Getting the deployment done sometime as early as possible in the next sprint would be great. thank you!

atgo triaged this task as High priority.Sep 9 2015, 9:09 PM
atgo updated the task description. (Show Details)Sep 9 2015, 10:45 PM

@MeganHernandez_WMF we can absolutely set it up on staging first, send it,
and then do the same on production. Making that a requirement here.

atgo updated the task description. (Show Details)Sep 10 2015, 10:28 PM
atgo updated the task description. (Show Details)

@atgo and tech team,

Just re-confirming that all translations are finished, published on Meta and ready to be deployed.

Here is the list of languages:

  1. ca
  2. zh
  3. da
  4. nl
  5. fr
  6. de
  7. he
  8. hu
  9. it
  10. ja
  11. lv
  12. nb
  13. pt-br
  14. pt
  15. ro
  16. ru
  17. sk
  18. es
  19. sv
  20. uk

Thanks for working on the deployment and let me know if I can be of any help.

Jessica

Thanks @jrobell! We'll get it into the next sprint.

atgo updated the task description. (Show Details)Sep 14 2015, 6:07 PM

Thank you @atgo. (cc @Pcoombe)

I want to clarify that we want the editing link to go to the sign up page: [https://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Main+Page&type=signup] in each language. I think @awight got this sorted, but I wanted to triple confirm here. Thank you!

Change 238365 had a related patch set uploaded (by Awight):
WIP Update to the 20150904 thank you letter

https://gerrit.wikimedia.org/r/238365

@awight does this include all the languages? Will this go to Staging first
as we'd talked about?

New messages are deployed to staging, use this URL to test:
https://civicrm.frdev.wikimedia.org/admin/config/thank_you/test

The "start editing" link looks good to me!

Have you checked with the community engagement and editing teams that we should be steering people to the signup page, though? There are other nicer portals such as the Wikipedia Adventure...

hey @jrobell @MeganHernandez_WMF - you'd mentioned that you wanted to proof these before they're live. Is that for all of the 20 languages?

thank you @atgo and @awight!

I have checked all 20 languages and the letters look good to me.

Regarding the editing link, @MeganHernandez_WMF checked with Dario about which link to use, he recommended the sign up page. @MeganHernandez_WMF: do you want to triple check this with anyone before we deploy? On my end, we are good to go.

Thank you for your work on this!

The link is good for now. There's work being done on a new place to send people to learn to edit, but in the meantime, I think we're good to go.

Great. It sounds like we're good to go to prod. Thanks!

Hold on, the links are broken for zh-hans and pt-br since those don't exist as wikipedia subdomains. Give me a few minutes, I'll try and fix them on wiki.

Okay, it was trickier than expected but I've fixed pt-br and zh-hans links on wiki. @awight can you generate a new patch please?

awight edited a custom field.Sep 15 2015, 5:09 PM

@Pcoombe: I don't see the changes yet... looking onwiki to see if they need to be published.

I'm also puzzled by the behavior of the pt-br translation interface. I see that one message is outdated, but it doesn't appear in any of the review panes:
https://meta.wikimedia.org/w/index.php?title=Special:Translate&group=page-Fundraising%2FTranslation%2FThank+you+email+20150904&action=translate&filter=fuzzy&language=pt-br

@awight I just republished all languages, could you try again?

@Pcoombe: Now there's an untranslated English paragraph up in every language. You can see it here: https://meta.wikimedia.org/wiki/Fundraising/Translation/Thank_you_email_20150904/ca "Everyone is a potential Wikipedian...."

@awight @Pcoombe: Thank you for your work on this.

I believe we actually want to use zh and not zh-hans. zh-hans has been disabled on Meta. (see attached screenshot.) I we can get zh deployed, that should be enough.

Also, I have re-published all the translations where the editing paragraph started showing up in English. However, though there is nothing more to translate, many of the languages are showing up as being 93% complete.

"This page is a translated version of the page Fundraising/Translation/Thank you email 20150904 and the translation is 93% complete."

Not sure if this is a bug, or if there is something we can easily do to fix it? Let me know if this is a blocker for the deployment.

Thank you!

awight added a subscriber: Amire80.Sep 16 2015, 4:46 PM

@Amire80: If you have time to look at this, we're all a little uncomfortable about the "93% complete translation" notices, but with nothing apparently untranslated.

atgo assigned this task to awight.Sep 16 2015, 8:32 PM

Thanks for all the clarification! The new changeset with updated pt-br link is ready to test, on the staging server.

thank you @awight! The pt-br letter looks fine to me now and the edit link looks like it's working.

All looks good to me too. Thanks @awight.

Just a reminder that we're losing some languages here, due to not being translated yet. We'll be sending out the new English letter for these languages, rather than the old translated letter. Please let us know if you'd prefer we use the old letter instead.

Deleted by this patch:

  • ar
  • bn
  • cs
  • cy
  • frr
  • mk
  • pl
  • sq
  • tr

Hey @awight if we have last year's Lila letter translated in those languages, let's use those instead of English. Thanks!

@MeganHernandez_WMF
Great, thanks for the confirmation. The patch is updated to include these languages, and waiting for code review.

@jrobell, @MeganHernandez_WMF, @Pcoombe: Ejegg just fixed a small typo in the English text, can someone please mark the new version for translation?

jrobell added a subscriber: Ejegg.Sep 17 2015, 8:11 PM

Done! thank you @Ejegg and @awight.

Change 238365 merged by Ejegg:
Update to the 20150904 thank you letter

https://gerrit.wikimedia.org/r/238365

Thanks @awight and @Ejegg. Any idea when this can be deployed?

Deployed! Got an email, it looks good, and the signup link works.

Thank you @awight and @Ejegg! I tested it out and got the new version of the letter. Many thanks!

Pcoombe closed this task as Resolved.Sep 21 2015, 10:34 AM

Thanks everyone!

mmodell removed a subscriber: awight.Jun 22 2017, 9:37 PM